Community
cancel
Showing results for 
Search instead for 
Did you mean: 
chen__fei
Beginner
128 Views

iOS 3.4 subscribe

你好:

     我们在使用贵公司的iOS端sdk时,发现多次重复进入房间会出现如下两个问题,不知什么原因,请协助解决下,谢谢:

一、问题:

1、多次重复进入导致有时没有回调;

2、多次重复进入导致订阅流失败:

    流程:

      1、多次进入房间,订阅流失败;

      2、订阅流失败,取消订阅,失败;

      3、再次订阅:提示已经订阅,无法再次订阅;

二、调用函数

- (void)subscribe:(RTCRemoteStream*)stream

        onSuccess:(nullable void (^)(RTCRemoteStream*))onSuccess

        onFailure:(nullable void (^)(NSError*))onFailure;

 

- (void)subscribe:(RTCRemoteStream*)stream

        withOptions:(RTCConferenceSubscribeOptions*)options

        onSuccess:(nullable void (^)(RTCRemoteStream*))onSuccess

        onFailure:(nullable void (^)(NSError*))onFailure;

 

- (void)unsubscribe:(RTCRemoteStream*)stream

          onSuccess:(nullable void (^)())onSuccess

          onFailure:(nullable void (^)(NSError*))onFailure;

For English:

hello:

When we use your iOS sdk, we find that there are two problems when we repeatedly enter the room. I don't know why. Please help to solve them. Thank you.

I. Questions:

1. Repeated access to the room leads to sometimes no callback;

2. Repeated access to the room leads to a loss of subscriptions:

Process:

1. Entering the room many times and losing subscriptions;

2. When subscription loss fails, cancel subscription and return failure.

3. Re-subscription: Tips have been subscribed, unable to re-subscribe;

 

2. Call function

- (void)subscribe:(RTCRemoteStream*)stream

        onSuccess:(nullable void (^)(RTCRemoteStream*))onSuccess

        onFailure:(nullable void (^)(NSError*))onFailure;

 

- (void)subscribe:(RTCRemoteStream*)stream

        withOptions:(RTCConferenceSubscribeOptions*)options

        onSuccess:(nullable void (^)(RTCRemoteStream*))onSuccess

        onFailure:(nullable void (^)(NSError*))onFailure;

 

- (void)unsubscribe:(RTCRemoteStream*)stream

          onSuccess:(nullable void (^)())onSuccess

          onFailure:(nullable void (^)(NSError*))onFailure;

Tags (1)
0 Kudos
1 Reply
biswal__minati
Beginner
128 Views

version 3.4.0, that offers compatibility with iOS 8.

so you will need to use Xcode 6 on OS X Mavericks or Yosemite to build for iOS 8. Our 3.4.0 Beta will enable you to make the necessary changes quickly and easily while still using the same cross-platform JavaScript APIs that you are already familiar with iOS Courses

A full list of 3.4.0 tickets (which include iOS 8 tickets) is available here. A more in-depth discussion of the release can be found in the release notes.

 

Reply